Announcement

Collapse
No announcement yet.

Database errors upgrade 3.7.2 to 3.8x (trying to get to 4.1.2)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Database errors upgrade 3.7.2 to 3.8x (trying to get to 4.1.2)

    i just purchased the 4.1x Suite to upgrade my vB from 3.7.2

    i have never upgraded before and read a lot but i still found it all pretty overwhelming. anyway my end result is not good and i really need some help.
    i have tried to upgrade to 3.8 first and it seemed to recommend that.

    my PHP was a bit old so i 'upgraded' that first on my host to PHP5.2

    then i backed up my main site via PHPadmin (apparently not the best way to do it but i couldn't figure anything else out) and have a sql file.
    i disabled my plugins.
    then i uploaded the renamed upload folder via ftp overwriting my live site.
    [was i meant to do anything else here as this part is not entirely clear to me even after multiple readings e.g part of the instructions say remove the install file but the next bit says upload ALL the files in the install folder, so this is what i did]

    after that my site was still there but i was getting this error [one example anyway] but most were same error number

    Database error in vBulletin 3.7.2:

    Invalid SQL:

    SELECT * FROM ftwstyle
    WHERE (styleid = 0 AND userselect = 1)
    OR styleid = 3
    ORDER BY styleid ASC;

    MySQL Error : Table 'vbdatabase.ftwstyle' doesn't exist
    Error Number : 1146
    Request Date : Monday, February 21st 2011 @ 05:01:03 AM
    Error Date : Monday, February 21st 2011 @ 05:01:04 AM
    Script :
    Referrer :
    IP Address : 67.195.114.34
    Username :
    Classname : vB_Database
    MySQL Version :
    i noticed that the top of the control panel said i had 3.8 patch level but in the maintenance area it said i was still on version 3.7.2. i tried to upload the folder again in case it missed a few files but had same result.

    i also noticed on my host backup this version was a measly few Kb's in comparison to the previous backups.

    i then tried to tackle the SSH stuff to restore my sql file which i kept failing at, eventually asking my host to do it, which they said they did, and sent me the email showing me the pathway fro it. however i noticed no difference on the forum. it said the same conflicting version numbers, had missing images, and was still throwing database errors.
    i finally worked out the SSH for myself (bad password permission) and tried to load the sql myself resulting in losing my forum altogether!

    i am currently waiting on a support ticket again with my host - but would appreciate some guidance for another attempt on the upgrade - hoping my original forum can be restored.



    edit: only other thing i noted since was a mention about the mySQL being too old could be an issue. it seems our host doesn't upgrade the sql unless you request it, so i guess its still a quite old version from 2005/6. didn't know this as i thought they auto updated them.
    Last edited by josephine; Wed 23 Feb '11, 4:33pm.
    licence 4.1.2 Suite
    feeltheword.net/forum

  • #2
    i am now trying to install the sql file to an empty database as a test forum but in the SSH client the cursor just hangs after i enter the password

    what do i do now? how do i know it worked?

    edit: it just didn't install. i have no idea why. no error message or anything - just nothing. mmmpgh
    Last edited by josephine; Mon 21 Feb '11, 9:20pm.
    licence 4.1.2 Suite
    feeltheword.net/forum

    Comment


    • #3
      i would suggest to start over.. get your host to rollback the account to when things where ok, make and download a backup and then try again.

      The database error you are getting now is:

      MySQL Error : Access denied for user 'victoria'@'69.163.128.0/255.255.128.0' to database 'vbdatabase'
      Error Number : 1044
      So you have the wrong password/username in the config.php file.. for the database

      wD
      Simple Straight Forward EU cPanel vBulletin Web Hosting Provider.

      Comment


      • #4
        no it wasn't a config error, i removed the user after the fact and then readded the user as i thought i may be having permission issues with the SSH as it kept rejecting the password. the sql just won't install though. i have tried it via bigdump now as well but still no go.

        i'm not sure what is going on with my host timestamps either, they have suddenly dropped from 700Mb timestamps to 68Mb timestamps yet are still stamped date wise from before i upgraded. i am concerned my backups are all gone
        licence 4.1.2 Suite
        feeltheword.net/forum

        Comment


        • #5
          fortunately my host was able to fix the broken site - very relieved! now just have to upgrade to 4.1x
          licence 4.1.2 Suite
          feeltheword.net/forum

          Comment


          • #6
            successfully upgraded to 4.1 - phew
            licence 4.1.2 Suite
            feeltheword.net/forum

            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X